%define upstream_name    ColorThemeUtil-ANSI
%define upstream_version 0.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Utility routines related to color themes and ANSI code
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/ColorThemeUtil/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Color::ANSI::Util)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module provides utility routines related to color themes and ANSI
code.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml META.json LICENSE README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2.0-3.mga10
+ Revision: 2206868
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.2.0-2.mga9
+ Revision: 1814151
- Mageia 9 Mass Rebuild

* Fri Feb 26 2021 tv <tv> 0.2.0-1.mga9
+ Revision: 1692154
- imported package perl-ColorThemeUtil-ANSI


* Fri Feb 26 2021 Thierry Vignaud <tv@mageia.org> 0.2.0-1.mga9
- import from CPAN
